# Generated from krane-2.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name krane

Name: rubygem-%{gem_name}
Version: 2.2.0
Release: 1%{?dist}
Summary: A command line tool that helps you ship changes to a Kubernetes namespace and understand the result
License: MIT
URL: https://github.com/Shopify/krane
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6.0
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(minitest) >= 5.12
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest-stub-const) >= 0.6
# BuildRequires: rubygem(minitest-stub-const) < 1
# BuildRequires: rubygem(minitest-reporters)
# BuildRequires: rubygem(mocha) >= 1.5
# BuildRequires: rubygem(mocha) < 2
# BuildRequires: rubygem(webmock) >= 3.0
# BuildRequires: rubygem(webmock) < 4
# BuildRequires: rubygem(timecop)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-byebug)
# BuildRequires: rubygem(byebug)
# BuildRequires: rubygem(ruby-prof)
# BuildRequires: rubygem(ruby-prof-flamegraph)
# BuildRequires: rubygem(rubocop) >= 0.89.1
# BuildRequires: rubygem(rubocop) < 0.90
# BuildRequires: rubygem(rubocop-shopify) >= 1.0.5
# BuildRequires: rubygem(rubocop-shopify) < 1.1
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
A command line tool that helps you ship changes to a Kubernetes namespace and
understand the result.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/krane
%{gem_instdir}/.buildkite
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.rubocop-http---shopify-github-io-ruby-style-guide-rubocop-yml
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.shopify-build
%{gem_instdir}/1.0-Upgrade.md
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/dev.yml
%{gem_instdir}/dev
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/krane.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 2.2.0-1
- Initial package
